CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Freedesktop » Poppler : Security Vulnerabilities

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2017-15565 476 2017-10-17 2017-10-25
6.8
None Remote Medium Not required Partial Partial Partial
In Poppler 0.59.0, a NULL Pointer Dereference exists in the GfxImageColorMap::getGrayLine() function in GfxState.cc via a crafted PDF document.
2 CVE-2017-14977 476 DoS 2017-10-01 2017-10-05
5.0
None Remote Low Not required None None Partial
The FoFiTrueType::getCFFBlock function in FoFiTrueType.cc in Poppler 0.59.0 has a NULL pointer dereference vulnerability due to lack of validation of a table pointer, which allows an attacker to launch a denial of service attack.
3 CVE-2017-14976 119 DoS Overflow 2017-10-01 2017-10-05
5.0
None Remote Low Not required None None Partial
The FoFiType1C::convertToType0 function in FoFiType1C.cc in Poppler 0.59.0 has a heap-based buffer over-read vulnerability if an out-of-bounds font dictionary index is encountered, which allows an attacker to launch a denial of service attack.
4 CVE-2017-14975 476 DoS 2017-10-01 2017-10-05
5.0
None Remote Low Not required None None Partial
The FoFiType1C::convertToType0 function in FoFiType1C.cc in Poppler 0.59.0 has a NULL pointer dereference vulnerability because a data structure is not initialized, which allows an attacker to launch a denial of service attack.
5 CVE-2017-14929 119 Overflow Mem. Corr. 2017-09-29 2017-10-06
5.0
None Remote Low Not required None None Partial
In Poppler 0.59.0, memory corruption occurs in a call to Object::dictLookup() in Object.h after a repeating series of Gfx::display, Gfx::go, Gfx::execOp, Gfx::opFill, Gfx::doPatternFill, Gfx::doTilingPatternFill and Gfx::drawForm calls (aka a Gfx.cc infinite loop), a different vulnerability than CVE-2017-14519.
6 CVE-2017-14928 476 2017-09-29 2017-10-03
4.3
None Remote Medium Not required None None Partial
In Poppler 0.59.0, a NULL Pointer Dereference exists in AnnotRichMedia::Configuration::Configuration in Annot.cc via a crafted PDF document.
7 CVE-2017-14927 476 2017-09-29 2017-10-03
4.3
None Remote Medium Not required None None Partial
In Poppler 0.59.0, a NULL Pointer Dereference exists in the SplashOutputDev::type3D0() function in SplashOutputDev.cc via a crafted PDF document.
8 CVE-2017-14926 476 2017-09-29 2017-10-03
4.3
None Remote Medium Not required None None Partial
In Poppler 0.59.0, a NULL Pointer Dereference exists in AnnotRichMedia::Content::Content in Annot.cc via a crafted PDF document.
9 CVE-2017-14617 20 2017-09-20 2017-09-27
6.8
None Remote Medium Not required Partial Partial Partial
In Poppler 0.59.0, a floating point exception occurs in the ImageStream class in Stream.cc, which may lead to a potential attack when handling malicious PDF files.
10 CVE-2017-14520 20 2017-09-17 2017-09-20
6.8
None Remote Medium Not required Partial Partial Partial
In Poppler 0.59.0, a floating point exception occurs in Splash::scaleImageYuXd() in Splash.cc, which may lead to a potential attack when handling malicious PDF files.
11 CVE-2017-14519 119 Overflow Mem. Corr. 2017-09-17 2017-09-20
5.0
None Remote Low Not required None None Partial
In Poppler 0.59.0, memory corruption occurs in a call to Object::streamGetChar in Object.h after a repeating series of Gfx::display, Gfx::go, Gfx::execOp, Gfx::opShowText, and Gfx::doShowText calls (aka a Gfx.cc infinite loop).
12 CVE-2017-14518 20 2017-09-17 2017-09-20
6.8
None Remote Medium Not required Partial Partial Partial
In Poppler 0.59.0, a floating point exception exists in the isImageInterpolationRequired() function in Splash.cc via a crafted PDF document.
13 CVE-2017-14517 476 2017-09-17 2017-09-20
4.3
None Remote Medium Not required None None Partial
In Poppler 0.59.0, a NULL Pointer Dereference exists in the XRef::parseEntry() function in XRef.cc via a crafted PDF document.
14 CVE-2017-9865 119 DoS Overflow 2017-06-25 2017-06-29
4.3
None Remote Medium Not required None None Partial
The function GfxImageColorMap::getGray in GfxState.cc in Poppler 0.54.0 allows remote attackers to cause a denial of service (stack-based buffer over-read and application crash) via a crafted PDF document, related to missing color-map validation in ImageOutputDev.cc.
15 CVE-2017-9776 190 DoS Overflow 2017-06-22 2017-06-29
6.8
None Remote Medium Not required Partial Partial Partial
Integer overflow leading to Heap buffer overflow in JBIG2Stream.cc in pdftocairo in Poppler before 0.56 allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted PDF document.
16 CVE-2017-9775 119 DoS Overflow 2017-06-22 2017-06-29
4.3
None Remote Medium Not required None None Partial
Stack buffer overflow in GfxState.cc in pdftocairo in Poppler before 0.56 allows remote attackers to cause a denial of service (application crash) via a crafted PDF document.
17 CVE-2017-9408 119 DoS Overflow 2017-06-02 2017-06-06
4.3
None Remote Medium Not required None None Partial
In Poppler 0.54.0, a memory leak vulnerability was found in the function Object::initArray in Object.cc, which allows attackers to cause a denial of service via a crafted file.
18 CVE-2017-9406 119 DoS Overflow 2017-06-02 2017-06-06
4.3
None Remote Medium Not required None None Partial
In Poppler 0.54.0, a memory leak vulnerability was found in the function gmalloc in gmem.cc, which allows attackers to cause a denial of service via a crafted file.
19 CVE-2017-9083 476 2017-05-19 2017-05-31
4.3
None Remote Medium Not required None None Partial
poppler 0.54.0, as used in Evince and other products, has a NULL pointer dereference in the JPXStream::readUByte function in JPXStream.cc. For example, the perf_test utility will crash (segmentation fault) when parsing an invalid PDF file.
20 CVE-2017-7515 399 2017-06-06 2017-06-12
4.3
None Remote Medium Not required None None Partial
poppler through version 0.55.0 is vulnerable to an uncontrolled recursion in pdfunite resulting into potential denial-of-service.
21 CVE-2017-7511 476 2017-05-30 2017-06-09
4.3
None Remote Medium Not required None None Partial
poppler since version 0.17.3 has been vulnerable to NULL pointer dereference in pdfunite triggered by specially crafted documents.
22 CVE-2017-2820 190 Exec Code Overflow 2017-07-12 2017-07-17
6.8
None Remote Medium Not required Partial Partial Partial
An exploitable integer overflow vulnerability exists in the JPEG 2000 image parsing functionality of freedesktop.org Poppler 0.53.0. A specially crafted PDF file can lead to an integer overflow causing out of bounds memory overwrite on the heap resulting in potential arbitrary code execution. To trigger this vulnerability, a victim must open the malicious PDF in an application using this library.
23 CVE-2017-2818 119 Overflow 2017-07-12 2017-07-17
6.8
None Remote Medium Not required Partial Partial Partial
An exploitable heap overflow vulnerability exists in the image rendering functionality of Poppler 0.53.0. A specifically crafted PDF can cause an overly large number of color components during image rendering, resulting in heap corruption. An attacker controlled PDF file can be used to trigger this vulnerability.
24 CVE-2017-2814 119 Exec Code Overflow 2017-07-12 2017-07-17
6.8
None Remote Medium Not required Partial Partial Partial
An exploitable heap overflow vulnerability exists in the image rendering functionality of Poppler 0.53.0. A specifically crafted pdf can cause an image resizing after allocation has already occurred, resulting in heap corruption which can lead to code execution. An attacker controlled PDF file can be used to trigger this vulnerability.
25 CVE-2015-8868 119 DoS Exec Code Overflow Mem. Corr. 2016-05-06 2017-06-30
9.3
None Remote Medium Not required Complete Complete Complete
Heap-based buffer overflow in the ExponentialFunction::ExponentialFunction function in Poppler before 0.40.0 allows remote attackers to cause a denial of service (memory corruption and crash) or possibly execute arbitrary code via an invalid blend mode in the ExtGState dictionary in a crafted PDF document.
26 CVE-2013-7296 119 DoS Overflow 2014-01-25 2017-08-28
5.0
None Remote Low Not required None None Partial
The JBIG2Stream::readSegments method in JBIG2Stream.cc in Poppler before 0.24.5 does not use the correct specifier within a format string, which allows context-dependent attackers to cause a denial of service (segmentation fault and application crash) via a crafted PDF file.
27 CVE-2013-4474 20 DoS 2013-11-23 2016-12-30
5.0
None Remote Low Not required None None Partial
Format string vulnerability in the extractPages function in utils/pdfseparate.cc in poppler before 0.24.3 allows remote attackers to cause a denial of service (crash) via format string specifiers in a destination filename.
28 CVE-2013-4473 119 DoS Exec Code Overflow 2013-11-23 2016-05-18
7.5
None Remote Low Not required Partial Partial Partial
Stack-based buffer overflow in the extractPages function in utils/pdfseparate.cc in poppler before 0.24.2 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a source filename.
29 CVE-2013-4472 59 2014-04-22 2014-04-23
3.3
None Local Medium Not required None Partial Partial
The openTempFile function in goo/gfile.cc in Xpdf and Poppler 0.24.3 and earlier, when running on a system other than Unix, allows local users to overwrite arbitrary files via a symlink attack on temporary files with predictable names.
30 CVE-2013-1790 119 Overflow 2013-04-09 2014-01-27
6.8
None Remote Medium Not required Partial Partial Partial
poppler/Stream.cc in poppler before 0.22.1 allows context-dependent attackers to have an unspecified impact via vectors that trigger a read of uninitialized memory by the CCITTFaxStream::lookChar function.
31 CVE-2013-1789 DoS 2013-04-09 2013-04-10
4.3
None Remote Medium Not required None None Partial
splash/Splash.cc in poppler before 0.22.1 allows context-dependent attackers to cause a denial of service (NULL pointer dereference and crash) via vectors related to the (1) Splash::arbitraryTransformMask, (2) Splash::blitMask, and (3) Splash::scaleMaskYuXu functions.
32 CVE-2013-1788 119 DoS Exec Code Overflow 2013-04-09 2014-01-27
6.8
None Remote Medium Not required Partial Partial Partial
poppler before 0.22.1 allows context-dependent attackers to cause a denial of service (crash) and possibly execute arbitrary code via vectors that trigger an "invalid memory access" in (1) splash/Splash.cc, (2) poppler/Function.cc, and (3) poppler/Stream.cc.
33 CVE-2010-5110 20 DoS 2014-08-29 2014-09-02
4.3
None Remote Medium Not required None None Partial
DCTStream.cc in Poppler before 0.13.3 allows remote attackers to cause a denial of service (crash) via a crafted PDF file.
Total number of vulnerabilities : 33   Page : 1 (This Page)
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.